@echo off
REM This file will modify the ICR2 pitcrew (OBJS.DAT).

if exist objs.dat goto BACKUP

REM ERROR
echo;
echo;
echo;
echo	 You must place this patch in the ICR2/CART Racing OBJS folder.
echo;
GOTO END

:BACKUP
if exist objs.old goto INTRO

copy objs.dat objs.old

:INTRO
cls
echo;
echo	 This utility creates two new pitcrew graphics for ICR2/CART racing.
echo	 It will backup your current OBJS.dat file as OBJS.old.  If OBJS.old
echo	 already exists, it will NOT be overwritten. This should preserve your
echo	 old OBJS.old file even with repeated use of this utility.
echo;
echo;
echo;

:CREATE
echo	 Which pitcrew do you want to use?
echo	 [A] Install new pitcrew (4 guys)
echo	 [B] Install new all helmeted pitcrew (6 guys)
echo	 [C] Restore original pitcrew
echo;
echo;
echo;
choice /C:ABC

if errorlevel 3 GOTO ORIG
if errorlevel 2 GOTO PITCREW2
if errorlevel 1 GOTO PITCREW1

:PITCREW1
unpack objs.dat
copy *.new *.pmp
pack objs.pck
cls
del *.str
del *.stp
del *.pck
del *.3do
del *.mip
del *.pmp
del *.pcx
cls
echo;
echo;
echo;
echo	 Ok! The new pitcrew (4 guys) is ready.
GOTO FINISH

:PITCREW2
unpack objs.dat
copy *.nw2 *.pmp
pack objs.pck
cls
del *.str
del *.stp
del *.pck
del *.3do
del *.mip
del *.pmp
del *.pcx
cls
echo;
echo;
echo;
echo	 Ok! The new all helmeted pitcrew (6 guys) is ready.
GOTO FINISH

:ORIG
copy objs.old objs.dat
cls
echo;
echo;
echo;
echo	 Ok! Your original pitcrew has been restored.
GOTO FINISH

:FINISH
echo;
echo;
echo	 Questions? Comments? e-mail me
echo	 New pitcrew (4 guys) - Made by Robert Szikszo
echo	 szikszo@engineer.com
echo	 ---------------------------------------------
echo	 New all helmeted pitcrew (6 guys) is based on
echo	 the Robert Szikszo's Pitcrew (4 guys)  - Made
echo	 by David Recalde
echO	 davidrec@writeme.com

:END